CVE-2001-1199

Current Description

Cross-site scripting vulnerability in agora.cgi for Agora 3.0a through 4.0g, when debug mode is enabled, allows remote attackers to execute Javascript on other clients via the cart_id parameter.

Basic Data

PublishedDecember 17, 2001
Last ModifiedSeptember 05, 2008
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegetrue

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationSteve KneizysAgora.cgi3.2*******
    2.3ApplicationSteve KneizysAgora.cgi3.2a*******
    2.3ApplicationSteve KneizysAgora.cgi3.2b*******
    2.3ApplicationSteve KneizysAgora.cgi3.2c*******
    2.3ApplicationSteve KneizysAgora.cgi3.2d*******
    2.3ApplicationSteve KneizysAgora.cgi3.2e*******
    2.3ApplicationSteve KneizysAgora.cgi3.2f*******
    2.3ApplicationSteve KneizysAgora.cgi3.2g*******
    2.3ApplicationSteve KneizysAgora.cgi3.2h*******
    2.3ApplicationSteve KneizysAgora.cgi3.2i*******
    2.3ApplicationSteve KneizysAgora.cgi3.2j*******
    2.3ApplicationSteve KneizysAgora.cgi3.2ja*******
    2.3ApplicationSteve KneizysAgora.cgi3.2k*******
    2.3ApplicationSteve KneizysAgora.cgi3.2l*******
    2.3ApplicationSteve KneizysAgora.cgi3.2m*******
    2.3ApplicationSteve KneizysAgora.cgi3.2n*******
    2.3ApplicationSteve KneizysAgora.cgi3.2p*******
    2.3ApplicationSteve KneizysAgora.cgi3.2q*******
    2.3ApplicationSteve KneizysAgora.cgi3.2r*******
    2.3ApplicationSteve KneizysAgora.cgi3.3a*******
    2.3ApplicationSteve KneizysAgora.cgi3.3b*******
    2.3ApplicationSteve KneizysAgora.cgi3.3c*******
    2.3ApplicationSteve KneizysAgora.cgi3.3d*******
    2.3ApplicationSteve KneizysAgora.cgi3.3e*******
    2.3ApplicationSteve KneizysAgora.cgi3.3f*******
    2.3ApplicationSteve KneizysAgora.cgi3.3i*******
    2.3ApplicationSteve KneizysAgora.cgi3.3j*******
    2.3ApplicationSteve KneizysAgora.cgi4.0*******
    2.3ApplicationSteve KneizysAgora.cgi4.0a*******
    2.3ApplicationSteve KneizysAgora.cgi4.0b*******
    2.3ApplicationSteve KneizysAgora.cgi4.0c*******
    2.3ApplicationSteve KneizysAgora.cgi4.0d*******

Vulnerable Software List

VendorProductVersions
Steve Kneizys Agora.cgi 3.2, 3.2a, 3.2b, 3.2c, 3.2d, 3.2e, 3.2f, 3.2g, 3.2h, 3.2i, 3.2j, 3.2ja, 3.2k, 3.2l, 3.2m, 3.2n, 3.2p, 3.2q, 3.2r, 3.3a, 3.3b, 3.3c, 3.3d, 3.3e, 3.3f, 3.3i, 3.3j, 4.0, 4.0a, 4.0b, 4.0c, 4.0d

References

NameSourceURLTags
http://www.agoracgi.com/security.htmlhttp://www.agoracgi.com/security.htmlCONFIRM
agora-cgi-css(7708)http://www.iss.net/security_center/static/7708.phpXFVendor Advisory
698http://www.osvdb.org/698OSVDB
20011217 Agoracgi v3.3e Cross Site Scripting Vulnerabilityhttp://www.securityfocus.com/archive/1/246044BUGTRAQVendor Advisory
3702http://www.securityfocus.com/bid/3702BIDExploit Patch Vendor Advisory